// gnome.xonotic.in.ua

textures/aqua/aqua_fish
{
	qer_editorimage textures/aqua/aqua_fish.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes wave 100 sin 0 3 0 0.2
	{
		map textures/aqua/aqua_fish.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/aqua/aqua_floor1_pad
{
	q3map_lightimage textures/aqua/aqua_floor1_pad_glow_colour.tga
	qer_editorimage textures/aqua/aqua_floor1_pad.tga
	q3map_surfacelight 100
	{
		clampmap textures/aqua/aqua_floor1_pad_glow1.tga
		rgbgen identity
		tcmod rotate -420
	}
	{
		clampmap textures/aqua/aqua_floor1_pad_glow2.tga
		blendfunc gl_one gl_one
		rgbgen identity
		tcmod rotate 200
	}
	{
		clampmap textures/aqua/aqua_floor1_pad_glow3.tga
		blendfunc gl_one gl_one
		rgbgen identity
		tcmod rotate 20
	}
	{
		map textures/aqua/aqua_floor1_pad.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}

textures/aqua/aqua_glass
{
	qer_editorimage textures/aqua/glass_2.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/aqua/glass_2.tga
		blendfunc gl_one gl_one
		rgbgen vertex
		tcgen environment
	}
}

textures/aqua/aqua_glass_2
{
	qer_editorimage textures/aqua/glass_3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm pointlight
	{
		map textures/aqua/glass_3.tga
		blendfunc gl_one gl_one
		rgbgen vertex
		tcgen environment
	}
}

textures/aqua/aquasea
{
	qer_editorimage textures/aqua/aqua_skybox.tga
	q3map_surfacelight 40
	q3map_lightsubdivide 256
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 118 176 255 5 60 85
	skyparms env/aquasea/aquasea 0 -
}

textures/aqua/aqua_support
{
	qer_editorimage textures/aqua/aqua_support.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	cull disable
	{
		map textures/aqua/aqua_support.tga
		alphafunc ge128
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/aqua/aqua_water
{
	qer_editorimage textures/aqua/water_1.tga
	q3map_globaltexture
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map textures/aqua/water_1.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0.025 0.01
	}
	{
		map textures/aqua/water_1.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -0.5 -0.5
		tcmod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/aqua/border11c
{
	q3map_lightimage textures/aqua/border11c_pulse1b.tga
	qer_editorimage textures/aqua/border11c.tga
	q3map_surfacelight 300
	{
		map textures/aqua/border11c.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/aqua/border11c_pulse1b.tga
		blendfunc gl_one gl_one
		tcmod scale 0.035 1
		tcmod scroll -0.65 0
	}
}

textures/aqua/bubbles
{
	qer_editorimage textures/aqua/bubbles.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/aqua/bubbles.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod scroll 0 0.8
		tcmod turb 0.1 0.1 0 0.1
	}
}

textures/aqua/cc
{
	qer_editorimage textures/aqua/cc.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/aqua/cc.tga
		blendfunc gl_src_alpha gl_one
	}
}

textures/aqua/chain
{
	qer_editorimage textures/aqua/chain.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	cull disable
	deformvertexes autosprite2
	{
		map textures/aqua/chain.tga
		alphafunc ge128
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/aqua/com_panel_1
{
	qer_editorimage textures/aqua/com_panel.tga
	q3map_surfacelight 100
	{
		animmap 0.25 textures/aqua/com_panel_1.tga textures/aqua/com_panel_2.tga textures/aqua/com_panel_3.tga textures/aqua/com_panel_5.tga
		rgbgen wave sawtooth 0 1 0 0.25
	}
	{
		map textures/aqua/com_panel_4.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 0.25
		tcmod scroll 5 0.25
	}
	{
		map textures/base_wall/chrome_env.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle 0.5 0.05 0 10
		tcgen environment
		tcmod scale 0.5 0.5
	}
	{
		map textures/aqua/com_panel.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/aqua/door_light
{
	qer_editorimage textures/aqua/door_light.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/aqua/door_light.tga
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/aqua/door_light_glow.tga
		blendfunc gl_one gl_one
	}
	{
		map textures/aqua/door_light_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.0005 0.5 0 0.2
	}
}

textures/aqua/glass_1
{
	qer_editorimage textures/aqua/glass_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/aqua/glass_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/aqua/hook
{
	qer_editorimage textures/aqua/hook.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	cull disable
	{
		map textures/aqua/hook.tga
		alphafunc ge128
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/aqua/image3
{
	q3map_lightimage textures/aqua/image3_blend.tga
	qer_editorimage textures/aqua/image3.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/aqua/image3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/aqua/image3_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/aqua/image3_2
{
	q3map_lightimage textures/aqua/image3_blend.tga
	qer_editorimage textures/aqua/image3.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/aqua/image3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/aqua/image3_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/aqua/image3_flicker
{
	q3map_lightimage textures/aqua/image3_blend.tga
	qer_editorimage textures/aqua/image3.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/aqua/image3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/aqua/image3_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 6 8 0.2 3.5
	}
}

textures/aqua/panel_light1
{
	qer_editorimage textures/aqua/panel_light1.tga
	surfaceparm nolightmap
	{
		map textures/aqua/panel_light.tga
		blendfunc gl_dst_color gl_zero
	}
	{
		animmap 5 textures/aqua/panel_light1.tga textures/aqua/panel_light2.tga textures/aqua/panel_light3.tga textures/aqua/panel_light4.tga textures/aqua/panel_light5.tga textures/aqua/panel_light6.tga textures/aqua/panel_light7.tga
		blendfunc gl_one gl_one
	}
}

textures/aqua/pipe_3
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/aqua/pipe_3.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
}

textures/aqua/rust_5
{
	q3map_lightimage textures/aqua/rust_5_blend.tga
	qer_editorimage textures/aqua/rust_5.tga
	q3map_surfacelight 3200
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/aqua/rust_5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/aqua/rust_5_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/aqua/teleswirl
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/aqua/teleswirl.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod scroll -3.5 0
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm donotenter
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

